Bug 601740 - [RFE] Improve man page documentation of LVM states
Summary: [RFE] Improve man page documentation of LVM states
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Alasdair Kergon
QA Contact: Corey Marthaler
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-08 14:41 UTC by Issue Tracker
Modified: 2018-11-14 19:12 UTC (History)
11 users (show)

Fixed In Version: lvm2-2.02.82-1.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 14:25:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0772 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2011-05-18 18:08:31 UTC

Description Issue Tracker 2010-06-08 14:41:05 UTC
Escalated to Bugzilla from IssueTracker

man page for lvscan does not describe possible values in the output
fields. In particular, the "state". In this case, the customer wanted to
know what else besides "ACTIVE" would be a possible value.

Comment 3 Alasdair Kergon 2010-06-08 22:53:42 UTC
For more complete information, consider using the 'lvs' tool instead, which is better documented:

              The lv_attr bits are:

              1  Volume type: (m)irrored,  (M)irrored  without  initial  sync,
                 (o)rigin,    (p)vmove,    (s)napshot,   invalid   (S)napshot,
                 (v)irtual, mirror (i)mage, mirror (I)mage out-of-sync,  under
                 (c)onversion

              2  Permissions: (w)riteable, (r)ead-only

              3  Allocation    policy:    (c)ontiguous,   c(l)ing,   (n)ormal,
                 (a)nywhere, (i)nherited This is capitalised if the volume  is
                 currently locked against allocation changes, for example dur-
                 ing pvmove (8).

              4  fixed (m)inor

              5  State: (a)ctive,  (s)uspended,  (I)nvalid  snapshot,  invalid
                 (S)uspended snapshot, mapped (d)evice present without tables,
                 mapped device present with (i)nactive table

              6  device (o)pen

Comment 9 Alasdair Kergon 2011-01-24 20:03:53 UTC
Updated in 2.02.82.

Comment 11 Corey Marthaler 2011-03-01 23:24:55 UTC
Fix verified in the latest rpms:

lvm2-2.02.83-2.el6.x86_64

" The output consists of one line for each Logical Volume indicating whether or not it is active, a snapshot or origin, the size of the device and its allocation policy.  Use lvs(8)  or  lvdisplay(8)  to obtain more-comprehensive information about the Logical Volumes."

Comment 12 errata-xmlrpc 2011-05-19 14:25:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0772.html


Note You need to log in before you can comment on or make changes to this bug.